libgphoto2 photo camera library (libgphoto2) API 2.5.29

Functions
gphoto2-port-result.c File Reference
`#include "config.h"`
`#include <gphoto2/gphoto2-port-result.h>`
`#include "libgphoto2_port/i18n.h"`
Include dependency graph for gphoto2-port-result.c:

## Functions
const char * | gp_port_result_as_string (int result)

## Detailed Description

Copyright 2001 Lutz Mueller lutz@.nosp@m.user.nosp@m.s.sf..nosp@m.net

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

## Function Documentation

## ◆ gp_port_result_as_string()

const char * gp_port_result_as_string | ( | int | result | ) |

gp_port_result_as_string:

Returns
  : a gphoto2 error code

Returns a string representation of a gphoto2 error code. Those are static error descriptions. You can get dynamic ones that explain the error more in depth using gp_port_get_error.

Return value: a string representation of a gphoto2 error code